import { ISemanticSearchQuery } from "@gooddata/sdk-backend-spi";
import { GenAIObjectType, ISemanticSearchRelationship } from "@gooddata/sdk-model";
/**
 * Dummy query builder for semantic search testing
 * @internal
 */
export declare class DummySemanticSearchQueryBuilder implements ISemanticSearchQuery {
    private readonly workspaceId;
    constructor(workspaceId: string);
    question: string;
    withQuestion(question: string): this;
    withLimit(): this;
    withObjectTypes(): this;
    withDeepSearch(): this;
    query({ signal }?: {
        signal?: AbortSignal;
    }): Promise<{
        results: {
            id: string;
            type: GenAIObjectType;
            workspaceId: string;
            title: string;
            description: string;
            tags: string[];
            createdAt: string;
            modifiedAt: string;
            visualizationUrl: string | undefined;
            score: number;
            scoreTitle: number;
            scoreDescriptor: number;
            scoreExactMatch: number;
        }[];
        relationships: ISemanticSearchRelationship[];
    }>;
}
//# sourceMappingURL=DummySemanticSearch.d.ts.map